API node service 14 matching interfaces
Create an API node createAPINode
POST /APINodeService/createAPINode
Definition file service_api_node.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc createAPINode ( CreateAPINodeRequest ) returns ( CreateAPINodeResponse );
Request message CreateAPINodeRequestCreate an API node
Request message · Field definitions Copy codemessage CreateAPINodeRequest {
string name = 1 ; // API node name
string description = 2 ; // API node description
bytes httpJSON = 3 ; // HTTP listener address configuration @link json:http_protocol
bytes httpsJSON = 4 ; // HTTPS listener address configuration @link json:https_protocol
bytes accessAddrsJSON = 5 ; // Access address @link json:network_address
bool isOn = 6 ; // Whether the current API node is enabled
bool restIsOn = 7 ; // Whether the API is enabled
bytes restHTTPJSON = 8 ; // API HTTP address configuration @link json:http_protocol
bytes restHTTPSJSON = 9 ; // API HTTPS address configuration @link json:https_protocol
}
Response message CreateAPINodeResponse Response message · Field definitions Copy codemessage CreateAPINodeResponse {
int64 apiNodeId = 1 ;
}